#include <Wire.h> // I2C einbinden
int count = 0;    // Zahl der gefundenen I2C-Geräte
void setup() {  
  Serial.begin (9600); // Ausgaben erfolgen über seriellen Monitor
  Wire.begin(); // Kommunikation starten (Arduino als Master)
} // end setup
void loop(){
  count = 0; // Zahl gefundener Geräte
  for (int i = 0; i < 128; i++){  // alle möglichen IDs scannen 
  Wire.beginTransmission (i);// Kommunikation mit Gerät(ID=i) testen
    if (Wire.endTransmission () == 0)    { // Erfolg!
      Serial.print ("Gerät gefunden, ID = ");  // Erfolgsmeldung 
      Serial.print (" 0x");      
      Serial.println(i, HEX);      
      count++;    
    } // end if
    delay (10);   // Kleine Pause
  } // end for
  Serial.print ("Gefundene Geräte insgesamt: ");   
  Serial.println (count);
} // end loop
